void mkheader(char *header, int sorf)
{

  int       ih;
  char      fheader[2881]="SIMPLE  =                    T / Fits standard                                  BITPIX  =                  -32 / Bits per pixel                                 NAXIS   =                    2 / Number of axes                                 NAXIS1  =                 1024 / Axis length                                    NAXIS2  =                 1024 / Axis length                                    EXTEND  =                    F / File may contain extensions                    END                                                                             ";
  char      sheader[2881]="SIMPLE  =                    T / Fits standard                                  BITPIX  =                   16 / Bits per pixel                                 NAXIS   =                    2 / Number of axes                                 NAXIS1  =                 1024 / Axis length                                    NAXIS2  =                 1024 / Axis length                                    EXTEND  =                    F / File may contain extensions                    END                                                                             ";
  char      nn[2]=" ";

  if(sorf==1){
    for(ih=0; ih<560; ih++){
      header[ih]=fheader[ih];
    }
    for(ih=560; ih<2880; ih++){
      header[ih]=nn[0];
    }
  } else if (sorf==2){
    for(ih=0; ih<560; ih++){
      header[ih]=sheader[ih];
    }
    for(ih=560; ih<2880; ih++){
      header[ih]=nn[0];
    }
  } else {
    printf("wrong type for sorf.\n");
    exit(1);
  }


}



